漏洞情报|Drupal远程代码执行漏洞(CVE-2020-13671)风险通告

2020-11-20 6,387

近日,腾讯云安全运营中心监测到Drupal官方通报了一个Drupal任意文件上传漏洞,该漏洞可使攻击者远程执行恶意代码。漏洞编号CVE-2020-13671

为避免您的业务受影响,腾讯云安全建议您及时开展安全自查,如在受影响范围,请您及时进行更新修复,避免被外部攻击者入侵。

漏洞详情

公告称,受漏洞影响的Drupal无法正确过滤某些文件名的上传文件,可能会导致文件被解释为错误的扩展名,或被当作错误的MIME类型。在一些配置下甚至直接被当作PHP脚本执行。

安全专家建议审核所有上传的文件,以检查是否存在恶意扩展名。

风险等级

高风险

漏洞风险

攻击者可利用该漏洞执行恶意代码,可导致获取服务器权限等风险。

影响版本

Drupal 7系列,版本号< 7.74

Drupal 8.8系列,版本号< 8.8.11

Drupal 8.9系列,版本号< 8.9.9

Drupal 9.0系列,版本号< 9.0.8

安全版本

Drupal 7.74

Drupal 8.8.11

Drupal 8.9.9

Drupal 9.0.8

修复建议

官方已发布安全更新,请及时更新至官方最新版本。

下载链接:

https://www.drupal.org/project/drupal/releases/7.74

https://www.drupal.org/project/drupal/releases/8.9.9

https://www.drupal.org/project/drupal/releases/8.8.11

https://www.drupal.org/project/drupal/releases/9.0.8

【备注】:建议您在升级前做好数据备份工作,避免出现意外。

漏洞参考

https://www.drupal.org/sa-core-2020-012



本文作者:云鼎实验室

本文为安全脉搏专栏作者发布,转载请注明:https://www.secpulse.com/archives/146921.html

Tags:
评论  (0)
快来写下你的想法吧!

云鼎实验室

文章数:50 积分: 164

我们正努力成为云上安全的技术领导者~

安全问答社区

安全问答社区

脉搏官方公众号

脉搏公众号